%global pkg_name        Digest-CRC
%global pkg_version     0.14
%global rpm_pkg_version 0.14
%global rpm_pkg_release 1.n0i.3

Summary:       Generic CRC functions
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Digest/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl


%description
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-CCITT, CRC-16 and CRC-32.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.3
- version 0.14

* Sun Nov 04 2007 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.2
- version 0.13
- enabled tests (upstream fixes)

* Sun Nov 04 2007 Marius Feraru <altblue@n0i.net> - 0.12-1.n0i.1
- resurrected
- version 0.12
- disabled tests (README/Changes tests are bogus)
